<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: upload.AbstractRpcServer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classupload_1_1AbstractRpcServer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">upload.AbstractRpcServer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for upload.AbstractRpcServer:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1AbstractRpcServer__inherit__graph.svg" width="202" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for upload.AbstractRpcServer:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classupload_1_1AbstractRpcServer__coll__graph.svg" width="202" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3f6bc1bd16b52bd5a5c33a1fedeef2d0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1AbstractRpcServer.html#a3f6bc1bd16b52bd5a5c33a1fedeef2d0">__init__</a> (self, host, auth_function, host_override=None, extra_headers={}, save_cookies=False)</td></tr>
<tr class="separator:a3f6bc1bd16b52bd5a5c33a1fedeef2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6555ae8993a52035191f8572762e741"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classupload_1_1AbstractRpcServer.html#ad6555ae8993a52035191f8572762e741">Send</a> (self, request_path, payload=None, content_type=&quot;application/octet-stream&quot;, timeout=None, **kwargs)</td></tr>
<tr class="separator:ad6555ae8993a52035191f8572762e741"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab7188d827e2faddcf970f524f5856192"><td class="memItemLeft" align="right" valign="top"><a id="ab7188d827e2faddcf970f524f5856192"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>host</b></td></tr>
<tr class="separator:ab7188d827e2faddcf970f524f5856192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783a4a7e4ffb776a57a3f267300a213b"><td class="memItemLeft" align="right" valign="top"><a id="a783a4a7e4ffb776a57a3f267300a213b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>host_override</b></td></tr>
<tr class="separator:a783a4a7e4ffb776a57a3f267300a213b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee0090a3bcf07b913a7dd596a5dabb8f"><td class="memItemLeft" align="right" valign="top"><a id="aee0090a3bcf07b913a7dd596a5dabb8f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>auth_function</b></td></tr>
<tr class="separator:aee0090a3bcf07b913a7dd596a5dabb8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a692955750c802e461c6336d3000cd365"><td class="memItemLeft" align="right" valign="top"><a id="a692955750c802e461c6336d3000cd365"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>authenticated</b></td></tr>
<tr class="separator:a692955750c802e461c6336d3000cd365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbf0109afc13d58d7815fa143cb779f"><td class="memItemLeft" align="right" valign="top"><a id="adbbf0109afc13d58d7815fa143cb779f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>extra_headers</b></td></tr>
<tr class="separator:adbbf0109afc13d58d7815fa143cb779f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe342205c4647d41b127f5a5634858b"><td class="memItemLeft" align="right" valign="top"><a id="affe342205c4647d41b127f5a5634858b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>save_cookies</b></td></tr>
<tr class="separator:affe342205c4647d41b127f5a5634858b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa931446476e0e86f3ade7fef0a0aea5a"><td class="memItemLeft" align="right" valign="top"><a id="aa931446476e0e86f3ade7fef0a0aea5a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>opener</b></td></tr>
<tr class="separator:aa931446476e0e86f3ade7fef0a0aea5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Provides a common interface for a simple RPC server.</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3f6bc1bd16b52bd5a5c33a1fedeef2d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f6bc1bd16b52bd5a5c33a1fedeef2d0">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.AbstractRpcServer.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>host</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>auth_function</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>host_override</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>extra_headers</em> = <code>{}</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>save_cookies</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Creates a new HttpRpcServer.

Args:
  host: The host to send requests to.
  auth_function: A function that takes no arguments and returns an
    (email, password) tuple when called. Will be called if authentication
    is required.
  host_override: The host header to send to the server (defaults to host).
  extra_headers: A dict of extra headers to append to every request.
  save_cookies: If True, save the authentication cookies to local disk.
    If False, use an in-memory cookiejar instead.  Subclasses must
    implement this functionality.  Defaults to False.
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad6555ae8993a52035191f8572762e741"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6555ae8993a52035191f8572762e741">&#9670;&nbsp;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def upload.AbstractRpcServer.Send </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>request_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>payload</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>content_type</em> = <code>&quot;application/octet-stream&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">**&#160;</td>
          <td class="paramname"><em>kwargs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Sends an RPC and returns the response.

Args:
  request_path: The path to send the request to, eg /api/appversion/create.
  payload: The body of the request, or None to send an empty request.
  content_type: The Content-Type header to use.
  timeout: timeout in seconds; default None i.e. no timeout.
    (Note: for large requests on OS X, the timeout doesn't work right.)
  kwargs: Any keyword arguments are converted into query string parameters.

Returns:
  The response body, as a string.
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>upload.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>upload</b></li><li class="navelem"><a class="el" href="classupload_1_1AbstractRpcServer.html">AbstractRpcServer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
